# Makefile.in generated automatically by automake 1.4-p6 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
AKAXISO_INCLUDES = @AKAXISO_INCLUDES@
AKAXISO_LIBS = @AKAXISO_LIBS@
AS = @AS@
CC = @CC@
CXX = @CXX@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
EXEEXT = @EXEEXT@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
MAKEINFO = @MAKEINFO@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
RANLIB = @RANLIB@
STRIP = @STRIP@
VERSION = @VERSION@

INCLUDES = -I..
noinst_PROGRAMS = tutorial1 tutorial2 tutorial3 tutorial4 tutorial5 tutorial6a tutorial6b tutorial7a tutorial7b

AKAXISOLIB = ../akaxiso/libakaxiso.la

tutorial1_SOURCES = tutorial1.cpp
tutorial1_LDADD = ${AKAXISOLIB}
tutorial1_DEPENDENCY = ${AKAXISOLIB}

tutorial2_SOURCES = tutorial2.cpp
tutorial2_LDADD = ${AKAXISOLIB}
tutorial2_DEPENDENCY = ${AKAXISOLIB}

tutorial3_SOURCES = tutorial3.cpp
tutorial3_LDADD = ${AKAXISOLIB}
tutorial3_DEPENDENCY = ${AKAXISOLIB}

tutorial4_SOURCES = tutorial4.cpp
tutorial4_LDADD = ${AKAXISOLIB}
tutorial4_DEPENDENCY = ${AKAXISOLIB}

tutorial5_SOURCES = tutorial5.cpp
tutorial5_LDADD = ${AKAXISOLIB}
tutorial5_DEPENDENCY = ${AKAXISOLIB}

tutorial6a_SOURCES = tutorial6a.cpp tutorial6.h
tutorial6a_LDADD = ${AKAXISOLIB}
tutorial6a_DEPENDENCY = ${AKAXISOLIB}

tutorial6b_SOURCES = tutorial6b.cpp tutorial6.h
tutorial6b_LDADD = ${AKAXISOLIB}
tutorial6b_DEPENDENCY = ${AKAXISOLIB}

tutorial7a_SOURCES = tutorial7a.cpp tutorial7.h
tutorial7a_LDADD = ${AKAXISOLIB}
tutorial7a_DEPENDENCY = ${AKAXISOLIB}

tutorial7b_SOURCES = tutorial7b.cpp tutorial7.h
tutorial7b_LDADD = ${AKAXISOLIB}
tutorial7b_DEPENDENCY = ${AKAXISOLIB}
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = ../akaxiso/config.h
CONFIG_CLEAN_FILES = 
noinst_PROGRAMS =  tutorial1$(EXEEXT) tutorial2$(EXEEXT) \
tutorial3$(EXEEXT) tutorial4$(EXEEXT) tutorial5$(EXEEXT) \
tutorial6a$(EXEEXT) tutorial6b$(EXEEXT) tutorial7a$(EXEEXT) \
tutorial7b$(EXEEXT)
PROGRAMS =  $(noinst_PROGRAMS)


DEFS = @DEFS@ -I. -I$(srcdir) -I../akaxiso
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
tutorial1_OBJECTS =  tutorial1.$(OBJEXT)
tutorial1_DEPENDENCIES =  ../akaxiso/libakaxiso.la
tutorial1_LDFLAGS = 
tutorial2_OBJECTS =  tutorial2.$(OBJEXT)
tutorial2_DEPENDENCIES =  ../akaxiso/libakaxiso.la
tutorial2_LDFLAGS = 
tutorial3_OBJECTS =  tutorial3.$(OBJEXT)
tutorial3_DEPENDENCIES =  ../akaxiso/libakaxiso.la
tutorial3_LDFLAGS = 
tutorial4_OBJECTS =  tutorial4.$(OBJEXT)
tutorial4_DEPENDENCIES =  ../akaxiso/libakaxiso.la
tutorial4_LDFLAGS = 
tutorial5_OBJECTS =  tutorial5.$(OBJEXT)
tutorial5_DEPENDENCIES =  ../akaxiso/libakaxiso.la
tutorial5_LDFLAGS = 
tutorial6a_OBJECTS =  tutorial6a.$(OBJEXT)
tutorial6a_DEPENDENCIES =  ../akaxiso/libakaxiso.la
tutorial6a_LDFLAGS = 
tutorial6b_OBJECTS =  tutorial6b.$(OBJEXT)
tutorial6b_DEPENDENCIES =  ../akaxiso/libakaxiso.la
tutorial6b_LDFLAGS = 
tutorial7a_OBJECTS =  tutorial7a.$(OBJEXT)
tutorial7a_DEPENDENCIES =  ../akaxiso/libakaxiso.la
tutorial7a_LDFLAGS = 
tutorial7b_OBJECTS =  tutorial7b.$(OBJEXT)
tutorial7b_DEPENDENCIES =  ../akaxiso/libakaxiso.la
tutorial7b_LDFLAGS = 
CXXFLAGS = @CXXFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = gtar
GZIP_ENV = --best
DEP_FILES =  .deps/tutorial1.P .deps/tutorial2.P .deps/tutorial3.P \
.deps/tutorial4.P .deps/tutorial5.P .deps/tutorial6a.P \
.deps/tutorial6b.P .deps/tutorial7a.P .deps/tutorial7b.P
SOURCES = $(tutorial1_SOURCES) $(tutorial2_SOURCES) $(tutorial3_SOURCES) $(tutorial4_SOURCES) $(tutorial5_SOURCES) $(tutorial6a_SOURCES) $(tutorial6b_SOURCES) $(tutorial7a_SOURCES) $(tutorial7b_SOURCES)
OBJECTS = $(tutorial1_OBJECTS) $(tutorial2_OBJECTS) $(tutorial3_OBJECTS) $(tutorial4_OBJECTS) $(tutorial5_OBJECTS) $(tutorial6a_OBJECTS) $(tutorial6b_OBJECTS) $(tutorial7a_OBJECTS) $(tutorial7b_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cpp .lo .o .obj .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu tutorial/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

# FIXME: We should only use cygpath when building on Windows,
# and only if it is available.
.c.obj:
	$(COMPILE) -c `cygpath -w $<`

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core
	-rm -f *.$(OBJEXT)

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

tutorial1$(EXEEXT): $(tutorial1_OBJECTS) $(tutorial1_DEPENDENCIES)
	@rm -f tutorial1$(EXEEXT)
	$(CXXLINK) $(tutorial1_LDFLAGS) $(tutorial1_OBJECTS) $(tutorial1_LDADD) $(LIBS)

tutorial2$(EXEEXT): $(tutorial2_OBJECTS) $(tutorial2_DEPENDENCIES)
	@rm -f tutorial2$(EXEEXT)
	$(CXXLINK) $(tutorial2_LDFLAGS) $(tutorial2_OBJECTS) $(tutorial2_LDADD) $(LIBS)

tutorial3$(EXEEXT): $(tutorial3_OBJECTS) $(tutorial3_DEPENDENCIES)
	@rm -f tutorial3$(EXEEXT)
	$(CXXLINK) $(tutorial3_LDFLAGS) $(tutorial3_OBJECTS) $(tutorial3_LDADD) $(LIBS)

tutorial4$(EXEEXT): $(tutorial4_OBJECTS) $(tutorial4_DEPENDENCIES)
	@rm -f tutorial4$(EXEEXT)
	$(CXXLINK) $(tutorial4_LDFLAGS) $(tutorial4_OBJECTS) $(tutorial4_LDADD) $(LIBS)

tutorial5$(EXEEXT): $(tutorial5_OBJECTS) $(tutorial5_DEPENDENCIES)
	@rm -f tutorial5$(EXEEXT)
	$(CXXLINK) $(tutorial5_LDFLAGS) $(tutorial5_OBJECTS) $(tutorial5_LDADD) $(LIBS)

tutorial6a$(EXEEXT): $(tutorial6a_OBJECTS) $(tutorial6a_DEPENDENCIES)
	@rm -f tutorial6a$(EXEEXT)
	$(CXXLINK) $(tutorial6a_LDFLAGS) $(tutorial6a_OBJECTS) $(tutorial6a_LDADD) $(LIBS)

tutorial6b$(EXEEXT): $(tutorial6b_OBJECTS) $(tutorial6b_DEPENDENCIES)
	@rm -f tutorial6b$(EXEEXT)
	$(CXXLINK) $(tutorial6b_LDFLAGS) $(tutorial6b_OBJECTS) $(tutorial6b_LDADD) $(LIBS)

tutorial7a$(EXEEXT): $(tutorial7a_OBJECTS) $(tutorial7a_DEPENDENCIES)
	@rm -f tutorial7a$(EXEEXT)
	$(CXXLINK) $(tutorial7a_LDFLAGS) $(tutorial7a_OBJECTS) $(tutorial7a_LDADD) $(LIBS)

tutorial7b$(EXEEXT): $(tutorial7b_OBJECTS) $(tutorial7b_DEPENDENCIES)
	@rm -f tutorial7b$(EXEEXT)
	$(CXXLINK) $(tutorial7b_LDFLAGS) $(tutorial7b_OBJECTS) $(tutorial7b_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<
.cpp.obj:
	$(CXXCOMPILE) -c `cygpath -w $<`
.cpp.lo:
	$(LTCXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = tutorial

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu tutorial/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp

%.o: %.cpp
	@echo '$(CXXCOMPILE) -c $<'; \
	$(CXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.cpp
	@echo '$(LTCXXCOMPILE) -c $<'; \
	$(LTCXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstPROGRAMS mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags mostlyclean-depend \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstPROGRAMS clean-compile clean-libtool clean-tags \
		clean-depend clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstPROGRAMS distclean-compile \
		distclean-libtool distclean-tags distclean-depend \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool tags mostlyclean-tags \
distclean-tags clean-tags maintainer-clean-tags distdir \
mostlyclean-depend distclean-depend clean-depend \
maintainer-clean-depend info-am info dvi-am dvi check check-am \
installcheck-am installcheck install-exec-am install-exec \
install-data-am install-data install-am install uninstall-am uninstall \
all-redirect all-am all installdirs mostlyclean-generic \
distclean-generic clean-generic maintainer-clean-generic clean \
mostlyclean distclean maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
